Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.http
Class AmfHttpMessageConverter

    java.lang.Object
      org.springframework.http.converter.AbstractHttpMessageConverter<Object>
          org.springframework.flex.http.AmfHttpMessageConverter

All Implemented Interfaces:
  HttpMessageConverter<Object>

    public class AmfHttpMessageConverter

extends AbstractHttpMessageConverter<Object>

Implementation of `HttpMessageConverter` that can read and write AMF using BlazeDS's AMF serialization/deserialization APIs.

This converter can be used to bind to typed beans, or untyped `HashMap` instances.

By default, this converter supports `application/x-amf`. This can be overridden by setting the `supportedMediaTypes` property.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class org.springframework.http.converter.AbstractHttpMessageConverter
`logger`

Constructor Summary
`AmfHttpMessageConverter()`

Method Summary
`protected Object` | `readInternal(Class<? extends Object> clazz, HttpInputMessage inputMessage)`
`protected boolean` | `supports(Class<?> clazz)`
`protected void` | `writeInternal(Object data, HttpOutputMessage outputMessage)`

Methods inherited from class org.springframework.http.converter.AbstractHttpMessageConverter
`canRead, canRead, canWrite, canWrite, getContentLength, getDefaultContentType, getSupportedMediaTypes, read, setSupportedMediaTypes, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmfHttpMessageConverter

    public AmfHttpMessageConverter()

Method Detail

### supports

    protected boolean supports(Class<?> clazz)

  Specified by:
    `supports` in class `AbstractHttpMessageConverter<Object>`

### readInternal

    protected Object readInternal(Class<? extends Object> clazz,
                                  HttpInputMessage inputMessage)
                           throws IOException,
                                  HttpMessageNotReadableException

  Specified by:
    `readInternal` in class `AbstractHttpMessageConverter<Object>`
  Throws:
    `IOException`
    `HttpMessageNotReadableException`

### writeInternal

    protected void writeInternal(Object data,
                                 HttpOutputMessage outputMessage)
                          throws IOException,
                                 HttpMessageNotWritableException

  Specified by:
    `writeInternal` in class `AbstractHttpMessageConverter<Object>`
  Throws:
    `IOException`
    `HttpMessageNotWritableException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.